Skip to content

Get Fingerprint

Get a fingerprint by ID

Endpoint

GET /fp/{id}

Path parameters

id
string
required

Response body

A JSON object representing the fetched fingerprint

id
string
required
DB
user_id
string
required
DB

preset
string
required
FP
seed
string
required
FP
screen
object
required
FP
platform_version
string
required
FP
arch
string
required
FP
cpu
int
required
FP
ram
int
required
FP
gl_vendor
string
required
FP
gl_renderer
string
required
FP

country_code
string
GEO
languages
string
GEO
tz
string
GEO
ip4
string
GEO
ip6
string
GEO

Example request

js
const id = "732e2a51-ee51-4225-895e-d953e5028a1b";
const response = await fetch(`https://api.ateratti.com/fp/${id}`, {
    headers: { "X-Api-Key": "Your API key" },
});

const fp = await response.json();
console.log(fp);

Example response

200 OK

json
{
    "id": "22de14c6-ac0a-4919-81d2-eb5bf571e8a1",
    "user_id": "314b9e8c-4212-49e2-9d12-ae16e576d4e8",
    "preset": "windows10",
    "screen": {
        "w": 1920,
        "h": 1080
    },
    "platform_version": "10.0.0",
    "arch": "x64",
    "cpu": 4,
    "ram": 8,
    "gl_vendor": "Google Inc. (NVIDIA)",
    "gl_renderer": "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)",
    "country_code": "GB",
    "languages": "en-GB,en-US,en",
    "tz": "Europe/London",
    "ip4": "11.22.33.44",
    "ip6": "11:22::33:44"
}

400 Bad Request

json
{
    "message": "You must provide an ID"
}

Error responses

CodeDescription
400 Bad RequestThe request is invalid
404 Not FoundThere's no fingerprint with the specified ID